'use strict';

const defaultD3ScaleChromatic = {
  schemeCategory10: 'd3-scale-chromatic/src/categorical/category10',
  schemeAccent: 'd3-scale-chromatic/src/categorical/Accent',
  schemeDark2: 'd3-scale-chromatic/src/categorical/Dark2',
  schemePaired: 'd3-scale-chromatic/src/categorical/Paired',
  schemePastel1: 'd3-scale-chromatic/src/categorical/Pastel1',
  schemePastel2: 'd3-scale-chromatic/src/categorical/Pastel2',
  schemeSet1: 'd3-scale-chromatic/src/categorical/Set1',
  schemeSet2: 'd3-scale-chromatic/src/categorical/Set2',
  schemeSet3: 'd3-scale-chromatic/src/categorical/Set3',
  schemeTableau10: 'd3-scale-chromatic/src/categorical/Tableau10',
  interpolateBrBG: 'd3-scale-chromatic/src/diverging/BrBG',
  schemeBrBG: ['d3-scale-chromatic/src/diverging/BrBG', {
    as: 'scheme'
  }],
  interpolatePRGn: 'd3-scale-chromatic/src/diverging/PRGn',
  schemePRGn: ['d3-scale-chromatic/src/diverging/PRGn', {
    as: 'scheme'
  }],
  interpolatePiYG: 'd3-scale-chromatic/src/diverging/PiYG',
  schemePiYG: ['d3-scale-chromatic/src/diverging/PiYG', {
    as: 'scheme'
  }],
  interpolatePuOr: 'd3-scale-chromatic/src/diverging/PuOr',
  schemePuOr: ['d3-scale-chromatic/src/diverging/PuOr', {
    as: 'scheme'
  }],
  interpolateRdBu: 'd3-scale-chromatic/src/diverging/RdBu',
  schemeRdBu: ['d3-scale-chromatic/src/diverging/RdBu', {
    as: 'scheme'
  }],
  interpolateRdGy: 'd3-scale-chromatic/src/diverging/RdGy',
  schemeRdGy: ['d3-scale-chromatic/src/diverging/RdGy', {
    as: 'scheme'
  }],
  interpolateRdYlBu: 'd3-scale-chromatic/src/diverging/RdYlBu',
  schemeRdYlBu: ['d3-scale-chromatic/src/diverging/RdYlBu', {
    as: 'scheme'
  }],
  interpolateRdYlGn: 'd3-scale-chromatic/src/diverging/RdYlGn',
  schemeRdYlGn: ['d3-scale-chromatic/src/diverging/RdYlGn', {
    as: 'scheme'
  }],
  interpolateSpectral: 'd3-scale-chromatic/src/diverging/Spectral',
  schemeSpectral: ['d3-scale-chromatic/src/diverging/Spectral', {
    as: 'scheme'
  }],
  interpolateBuGn: 'd3-scale-chromatic/src/sequential-multi/BuGn',
  schemeBuGn: ['d3-scale-chromatic/src/sequential-multi/BuGn', {
    as: 'scheme'
  }],
  interpolateBuPu: 'd3-scale-chromatic/src/sequential-multi/BuPu',
  schemeBuPu: ['d3-scale-chromatic/src/sequential-multi/BuPu', {
    as: 'scheme'
  }],
  interpolateGnBu: 'd3-scale-chromatic/src/sequential-multi/GnBu',
  schemeGnBu: ['d3-scale-chromatic/src/sequential-multi/GnBu', {
    as: 'scheme'
  }],
  interpolateOrRd: 'd3-scale-chromatic/src/sequential-multi/OrRd',
  schemeOrRd: ['d3-scale-chromatic/src/sequential-multi/OrRd', {
    as: 'scheme'
  }],
  interpolatePuBuGn: 'd3-scale-chromatic/src/sequential-multi/PuBuGn',
  schemePuBuGn: ['d3-scale-chromatic/src/sequential-multi/PuBuGn', {
    as: 'scheme'
  }],
  interpolatePuBu: 'd3-scale-chromatic/src/sequential-multi/PuBu',
  schemePuBu: ['d3-scale-chromatic/src/sequential-multi/PuBu', {
    as: 'scheme'
  }],
  interpolatePuRd: 'd3-scale-chromatic/src/sequential-multi/PuRd',
  schemePuRd: ['d3-scale-chromatic/src/sequential-multi/PuRd', {
    as: 'scheme'
  }],
  interpolateRdPu: 'd3-scale-chromatic/src/sequential-multi/RdPu',
  schemeRdPu: ['d3-scale-chromatic/src/sequential-multi/RdPu', {
    as: 'scheme'
  }],
  interpolateYlGnBu: 'd3-scale-chromatic/src/sequential-multi/YlGnBu',
  schemeYlGnBu: ['d3-scale-chromatic/src/sequential-multi/YlGnBu', {
    as: 'scheme'
  }],
  interpolateYlGn: 'd3-scale-chromatic/src/sequential-multi/YlGn',
  schemeYlGn: ['d3-scale-chromatic/src/sequential-multi/YlGn', {
    as: 'scheme'
  }],
  interpolateYlOrBr: 'd3-scale-chromatic/src/sequential-multi/YlOrBr',
  schemeYlOrBr: ['d3-scale-chromatic/src/sequential-multi/YlOrBr', {
    as: 'scheme'
  }],
  interpolateYlOrRd: 'd3-scale-chromatic/src/sequential-multi/YlOrRd',
  schemeYlOrRd: ['d3-scale-chromatic/src/sequential-multi/YlOrRd', {
    as: 'scheme'
  }],
  interpolateBlues: 'd3-scale-chromatic/src/sequential-single/Blues',
  schemeBlues: ['d3-scale-chromatic/src/sequential-single/Blues', {
    as: 'scheme'
  }],
  interpolateGreens: 'd3-scale-chromatic/src/sequential-single/Greens',
  schemeGreens: ['d3-scale-chromatic/src/sequential-single/Greens', {
    as: 'scheme'
  }],
  interpolateGreys: 'd3-scale-chromatic/src/sequential-single/Greys',
  schemeGreys: ['d3-scale-chromatic/src/sequential-single/Greys', {
    as: 'scheme'
  }],
  interpolatePurples: 'd3-scale-chromatic/src/sequential-single/Purples',
  schemePurples: ['d3-scale-chromatic/src/sequential-single/Purples', {
    as: 'scheme'
  }],
  interpolateReds: 'd3-scale-chromatic/src/sequential-single/Reds',
  schemeReds: ['d3-scale-chromatic/src/sequential-single/Reds', {
    as: 'scheme'
  }],
  interpolateOranges: 'd3-scale-chromatic/src/sequential-single/Oranges',
  schemeOranges: ['d3-scale-chromatic/src/sequential-single/Oranges', {
    as: 'scheme'
  }],
  interpolateCividis: 'd3-scale-chromatic/src/sequential-multi/cividis',
  interpolateCubehelixDefault: 'd3-scale-chromatic/src/sequential-multi/cubehelix',
  interpolateRainbow: 'd3-scale-chromatic/src/sequential-multi/rainbow',
  interpolateWarm: ['d3-scale-chromatic/src/sequential-multi/rainbow', {
    as: 'warm'
  }],
  interpolateCool: ['d3-scale-chromatic/src/sequential-multi/rainbow', {
    as: 'cool'
  }],
  interpolateSinebow: 'd3-scale-chromatic/src/sequential-multi/sinebow',
  interpolateTurbo: 'd3-scale-chromatic/src/sequential-multi/turbo',
  interpolateViridis: 'd3-scale-chromatic/src/sequential-multi/viridis',
  interpolateMagma: ['d3-scale-chromatic/src/sequential-multi/viridis', {
    as: 'magma'
  }],
  interpolateInferno: ['d3-scale-chromatic/src/sequential-multi/viridis', {
    as: 'inferno'
  }],
  interpolatePlasma: ['d3-scale-chromatic/src/sequential-multi/viridis', {
    as: 'plasma'
  }]
};

module.exports = defaultD3ScaleChromatic;
//# sourceMappingURL=d3-scale-chromatic.js.map
